Bug 1120002 - [DOCS] Drop support for 5.x API
Summary: [DOCS] Drop support for 5.x API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR4
: 6.1.0
Assignee: Vikram Goyal
QA Contact: Marek Winkler
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 04:33 UTC by Vikram Goyal
Modified: 2015-04-16 21:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-16 21:55:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Vikram Goyal 2014-07-16 04:33:29 UTC
Based on 6.1 PRD: https://issues.jboss.org/browse/BPMSPL-49

This bug probably only requires some notes made in the guides to let users know that 5.x API is no longer officially supported. It would be good to list in an Appendix or a reference area which API's are not supported.

Comment 1 Eva Majorsinova 2014-08-22 16:37:02 UTC
Hello,

can you please provide a list of APIs that will no longer be supported in version 6.1?

Thank you!

Comment 3 Lukáš Petrovický 2014-08-24 23:41:55 UTC
(In reply to Eva Majorsinova from comment #1)
> can you please provide a list of APIs that will no longer be supported in
> version 6.1?

It's hard to provide a specific list. However, whatever used to be in knowledge-api JAR is going extinct. It is being replaced by APIs in the kie-api JAR.

Comment 4 Eva Majorsinova 2014-08-25 18:12:27 UTC
Thank you and topic 29583 for BPM Suite Administration and Configuration Guide cs22829 and BRMS Development Guide cs22825 (6.1 versions) is now updated according to the provided information.

Moving this to "modified".

Comment 5 Vikram Goyal 2014-10-02 00:05:54 UTC
The API and Backwards compatibility chapter in A&C Guide has been redone to reflect the lack of support for 5.x API. This can be verified here [1].

Moving this to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/Administration_And_Configuration_Guide/index.html#API_and_Backwards_Compatibility

Comment 6 Marek Winkler 2014-10-02 14:32:28 UTC
Verified The API and Backwards compatibility chapter in the A&C Guide (BRMS and BPM Suite products).


Note You need to log in before you can comment on or make changes to this bug.